get
https://{app-url}{}/api/v2/forecast/metrics//results
Retrieve forecasted results for a specific metric regardless of the task
Request Parameters:
| Field | Type | Description / Example |
|---|---|---|
| metricId | string ($uuid) | Unique identifier of the forecast metric (retrieved from the GET Task Metrics or GET Metrics endpoints). |
| for_date | timestamp (epoch) | The date for which to retrieve historical forecast results. |
Response Fields:
The response consists of two arrays:
- Actual values - the observed metric values, split by timestamp
- Forecast results - a set of predicted data points per metric. Each data point includes a predicted value and a confidence range, defined by lowerBand and upperBand, for a given timestamp. See GET Forecast Results for more details.
